import {
  View,
  Text,
  StyleSheet,
  Image,
  TextInput,
  I18nManager,
  Button,
} from 'react-native';
import React, {useEffect} from 'react';
import styles from './style';
import {useState} from 'react';
import {KeyboardAwareScrollView} from 'react-native-keyboard-aware-scroll-view';
import {t} from 'i18next';
import SplashScreenComp from '../../Components/SplashScreen/SplashScreen';
import {useTranslation} from 'react-i18next';

const Login = () => {
  const [text, setText] = useState();
  const {t, i18n} = useTranslation();
  useEffect(() => {
    i18n.changeLanguage('en');
    I18nManager.forceRTL(false);
  }, []);

  const changeLanguage = lang => {
    if (lang === 'en') {
      i18n.changeLanguage('en');
      I18nManager.forceRTL(false);
      RNRe
    } else if (lang === 'ur') {
      i18n.changeLanguage('ur');
      I18nManager.forceRTL(true);
    }
  };
  return (
    <KeyboardAwareScrollView>
      {/* <SplashScreenComp /> */}

      <Button
        onPress={() => changeLanguage('en')}
        title="English"
        color="#841584"
      />
      <Button
        style={{marginTop: 210}}
        onPress={() => changeLanguage('ur')}
        title="URDU"
        color="#000"
      />
      <View style={styles.container}>
        <View style={styles.imgContainer}>
          <Image
            style={{width: 150, height: 230}}
            source={require('../../Assets/images/baitussalam-logo.png')}
          />
        </View>
        <View style={styles.inputContainer}>
          <View style={styles.passwordInput}>
            <Text style={{width: '20%'}}>{t('username')}</Text>
            <TextInput
              style={styles.input}
              onChangeText={() => setText()}
              value={text}
            />
          </View>
          <View style={styles.passwordInput}>
            <Text style={{width: '20%'}}>{t('password')}:</Text>
            <TextInput
              style={styles.input}
              onChangeText={() => setText()}
              value={text}
              maxLength={120}
            />
          </View>
        </View>
      </View>
    </KeyboardAwareScrollView>
  );
};

export default Login;
